Subject: bug#940: Is there a way to quit loading of ~/.emacs please?

From: "Lennart Borgman (gmail)" <[email-masked]>
Date: Wed, 10 Sep 2008 00:10:21 +0200

Yiyi Hu wrote:
> Why not use 'unless' statement version?
>  (unless (byte-compile-file-if-newer "~/.emacs")
> remaining lisp code ...)
> Because, This will confuse M-x customize-* series functions.

Just set custom-file to store customizations in another file.

> Why not splitting ~/.emacs?
> I did this, and It's not a happy journey. Eg, when change something, I
> have to think wether I should put here or there, or within ~/.emacs.

Not if you just put everything there.

But the main question is: Why do you want to compile absolutely
everything? I feel there must be some misunderstanding somewhere. How
much time to you win?

How many times do you start Emacs? I think most users just start Emacs
one they boot their computer.